import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class PaymentService{
	list (param) {
		return request({
			url: prefix +'/payment/findList',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/payment/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/payment/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/payment/updateStatusById",
			method: "post",
			data: data,
		})
	}
	delete (ids) {
		return request({
			url: prefix+"/payment/delete",
			method: 'delete',
			params: {id: ids}
		})
	}



	adminEditForm(param){
		return request({
			url: prefix + "/payment/adminEditForm",
			method: "post",
			data: param,
		})
	}

	listByUserId(){
		return request({
			url: prefix + "/payment/listByUserId",
			method: "get",
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/payment/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
